%% ONLINE TOMO TEMPLATE FOR NEW CODE 

clear all

 
%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Edit this section %%%
%%%%%%%%%%%%%%%%%%%%%%%%%
template_tomo = 'ID153_grid6_box10_tomo_recons_new';   % template to be run in online 
base_path = '~/Data10';  % path to store temporal data, log files etc 
pause_time = 300;        % [s] waiting between tomograms 
%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%

setenv('TMP',[base_path,'/tmp']) % TEMP for matlab scripts 
% setenv('HOME', base_path )


while true
    t0 = tic; 
    try
        % template prepared for online tomo with new CUDA code 
        run(template_tomo)
    catch exception
        disp(getReport(exception,'extended','hyperlinks','on'))
        break
    end
    fprintf('Alignment finished, duration time %gs\n', toc(t0))
    
    fprintf('==== Waiting %is to run new alignment === \n', pause_time)
    for ii = 1:pause_time
        utils.progressbar(ii,pause_time)
        pause(1)  % wait 5 minutes to avoid abusing resouces
    end
end
    



%*-----------------------------------------------------------------------*
%|                                                                       |
%|  Except where otherwise noted, this work is licensed under a          |
%|  Creative Commons Attribution-NonCommercial-ShareAlike 4.0            |
%|  International (CC BY-NC-SA 4.0) license.                             |
%|                                                                       |
%|  Copyright (c) 2017 by Paul Scherrer Institute (http://www.psi.ch)    |
%|                                                                       |
%|       Author: CXS group, PSI                                          |
%*-----------------------------------------------------------------------*
% You may use this code with the following provisions:
%
% If the code is fully or partially redistributed, or rewritten in another
%   computing language this notice should be included in the redistribution.
%
% If this code, or subfunctions or parts of it, is used for research in a 
%   publication or if it is fully or partially rewritten for another 
%   computing language the authors and institution should be acknowledged 
%   in written form in the publication: “Data processing was carried out 
%   using the “cSAXS matlab package” developed by the CXS group,
%   Paul Scherrer Institut, Switzerland.” 
%   Variations on the latter text can be incorporated upon discussion with 
%   the CXS group if needed to more specifically reflect the use of the package 
%   for the published work.
%
% A publication that focuses on describing features, or parameters, that
%    are already existing in the code should be first discussed with the
%    authors.
%   
% This code and subroutines are part of a continuous development, they 
%    are provided “as they are” without guarantees or liability on part
%    of PSI or the authors. It is the user responsibility to ensure its 
%    proper use and the correctness of the results.
